Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.string
Interface Stringable

All Known Subinterfaces:
  Choose, Content, ContentTask, RecordStreamBuilder, StringFactory, Task, XmlValidatorAppender

All Known Implementing Classes:
  AbstractContent, AbstractTask, AbstractXmlFilterAppender, CachedContent, ChooseImpl, ChoosePrefilter, Concat, ContentPrefilter, ContentTaskCatchError, ContentTaskPrefilter, ConvertDate, ConvertToDateTime, CreateDate, CurrentDate, CurrentDateTime, CurrentTime, CustomSaxFilterAppender, DefaultDocument, Document, DocumentCollection, DocumentSequence, DynamicContent, EmptyDocument, FindAndReplace, FormatDateTime, LineNumber, LiteralContentFilterAppender, MatchAndReplace, RecordContent, RecordStreamBuilderImpl, RecordStreamBuilderPrefilter, RunService, RunService2, SerializedContent, Stringable.EmptyStringable, StringEvaluator, StringFactory.UninitializedStringFactory, StringLiteralFactory, SubtreeRecordReaderFactory, TaskCatchError, TaskPrefilter, ThrowError, ToString, ToXmlDate, ToXmlDateTime, ToXmlTime, TransformedContent, WrappedContent, XmlFilterAppenderPrefilter, XmlValidatorAppenderPrefilter

    public interface Stringable

The `Stringable` defines an interface for creating a string.

Nested Class Summary
`static class` | `Stringable.EmptyStringable`

Field Summary
`static Stringable` | `EMPTY`
`static Stringable[]` | `EMPTY_ARRAY`

Method Summary
`java.lang.String` | `createString(ServiceContext context, Flow flow)`

Field Detail

### EMPTY

    static final Stringable EMPTY

### EMPTY_ARRAY

    static final Stringable[] EMPTY_ARRAY

Method Detail

### createString

    java.lang.String createString(ServiceContext context,
                                  Flow flow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD